﻿define([
// libs
    'jquery',
// live monitor
    'utility'
],

function (
// libs
    $,
// live monitor
    utility
) {

    // =================================================================================================================================================
    // BaseModelContainer class
    // =================================================================================================================================================

    var BaseModelContainer = {

        // =================================================================================================================================================
        // Public properties
        // =================================================================================================================================================

        // The default settings for the current component
        defaults: {
            // templateString: [String]
            //      The default HTML template string for the current component
            //      Ex: '<div></div>'
            templateString: '',
            // baseClasses: [String]
            //      The default CSS classes for the current component
            //      Each CSS class name should be separated by a space (' ') character
            //      Ex: 'class1 class2'
            baseClasses: '',
            // actionButtons: [Object]
            //      Button defintion array, each definition includes buttonText, showState, eventName and eventHandler
            //      Ex: {buttonText: 'Save', showState: true, eventName: 'click', eventHandler: 'modalDialogSaving'}
            actionButtons: [],
            children: []
        },

    };

    return BaseModelContainer;

});